﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Logging;
using TestWebApp.ViewModels;

namespace TestWebApp.Pages
{
    public class IndexModel : PageModel
    {
        [BindProperty]
        public List<OrdersDetails> OrdersDetailSource { get; set; }

        private readonly ILogger<IndexModel> _logger;

        public IndexModel(ILogger<IndexModel> logger)
        {
            _logger = logger;
        }

        public ActionResult OnGet()
        {
            OrdersDetailSource = OrdersDetails.GetAllRecords();
            
            return Page();
        }

        public ActionResult OnPost()
        {
            foreach (var item in HttpContext.Request.Form)
            {
                var a = item;
            }

            if (!ModelState.IsValid)
            {
                return Page();
            }

            return RedirectToPage("/Index");
        }
    }
}
